#
# spec file for package apmd (Version 3.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xdevel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         apmd
Copyright:    1999 Avery Pennarun <apenwarr@worldvisions.ca>
Group:        System Environment/Daemons
Provides:     apmd 
Autoreqprov:  on
Version:      3.0
Release:      260
Summary:      APM daemon
Source:       %{name}-%{version}.tar.gz
Source2:      suse-files.tar.gz
Patch:        %{name}-%{version}.dif

%description
Contains a daemon that takes care about the battery capacity and triggers
certain action depending on some power saving events like suspend or when
one switches from/to AC power supply.
There are tools to show the state of the battery (apm, xapm) and to send
the machine to sleep for an scheduled amount of time.
Includes: apm, apmd, apmd_proxy, apmsleep, xapm, and tailf

Authors:
--------
    Avery Pennarun <apenwarr@worldvisions.ca>

SuSE series: ap

%prep
%setup
%patch
%setup -n %{name}-%{version} -T -D -a 2

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
make install DOCDIR=%{_docdir}/apmd MANDIR=%{_mandir}
install -m 744 suse-files/rcapmd /etc/init.d/apmd
ln -sf ../../etc/init.d/apmd /usr/sbin/rcapmd
install -m 644 suse-files/rc.config* /var/adm/fillup-templates
install -m 755 suse-files/wttyhx /usr/bin/wttyhx
install -m 744 suse-files/apmd_proxy /usr/sbin/apmd_proxy
touch /etc/rc.config.d/apmd.rc.config

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  if ! [ -d etc/rc.config.d ] ; then
     mkdir -p etc/rc.config.d
  fi
  if ! [ -f etc/rc.config.d/apmd.rc.config ] ; then
     bin/fillup -q -r -i etc/rc.config \
            var/adm/fillup-templates/rc.config.d.apmd \
            etc/rc.config.d/apmd.rc.config
     mv etc/rc.config.new etc/rc.config
  else
     mv etc/rc.config.d/apmd.rc.config etc/rc.config.d/apmd.rc.config_pre7.3
     touch etc/rc.config.d/apmd.rc.config
     bin/fillup -q etc/rc.config.d/apmd.rc.config \
            var/adm/fillup-templates/rc.config.d.apmd
  fi
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.apmd
  echo "Done."
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config with var/adm/fillup-templates/rc.config.apmd resp."
  echo "etc/rc.config.d/apmd.rc.config with"
  echo "var/adm/fillup-templates/rc.config.d.apmd and update by hand."
fi
sbin/insserv etc/init.d/apmd

%postun
sbin/insserv etc/init.d/

%files
%dir %{_docdir}/apmd
/etc/init.d/apmd
# Once upon a time this file wasn't handled by fillup but was included
# as an ordinary file. If it were now deleted completly from the filelist
# silly rpm would delete it _after_ postinstall. So leave this ghost alive.
%ghost /etc/rc.config.d/apmd.rc.config
/usr/bin/apm
/usr/bin/apmsleep
/usr/bin/on_ac_power
/usr/bin/tailf
/usr/bin/wttyhx
%doc %{_docdir}/apmd/ANNOUNCE
%doc %{_docdir}/apmd/BUGS.apmsleep
%doc %{_docdir}/apmd/COPYING
%doc %{_docdir}/apmd/COPYING.LIB
%doc %{_docdir}/apmd/ChangeLog
%doc %{_docdir}/apmd/LSM
%doc %{_docdir}/apmd/README
%doc %{_docdir}/apmd/README.transfer
/usr/include/apm.h
/usr/lib/libapm.a
/usr/sbin/apmd
/usr/sbin/apmd_proxy
/usr/sbin/rcapmd
/usr/share/man/man1/apm.1.gz
/usr/share/man/man1/apmsleep.1.gz
/usr/share/man/man1/tailf.1.gz
/usr/share/man/man8/apmd.8.gz
/usr/X11R6/bin/xapm
/usr/X11R6/man/man1/xapm.1x.gz
/var/adm/fillup-templates/rc.config.apmd
/var/adm/fillup-templates/rc.config.d.apmd

%changelog -n apmd
* Thu Sep 06 2001 - kukuk@suse.de
- Add $remote_fs to init script [Bug #9908]
* Wed Aug 29 2001 - zoz@suse.de
- added possibility to set keyboard typematic rate after resume.
  New variables: APMD_KBD_RATE, APMD_KBD_DELAY
- apmd_proxy: added pid to logger tag
- apmd_proxy: fixed cardctl call for APMD_PCMCIA_SUSPEND_ON_SUSPEND
* Tue Aug 28 2001 - zoz@suse.de
- added %%ghost entry in %%file for /etc/rc.config.d/apmd.rc.config
  (to avoid that rpm deletes it after %%post)
- cleaned up /etc/rc.config.d/apmd.rc.config (bug 6142)
- move old /etc/rc.config.d/apmd.rc.config to apmd.rc.config_pre7.3
  before calling fillup, because there are important changes in the
  comments.
* Tue Aug 28 2001 - zoz@suse.de
- wttyhx: changed default owner of X from "" to "root"
- apmd_proxy: improved xlock call
* Tue Aug 28 2001 - zoz@suse.de
- removed forgotten "-nolock" from xlock call in apmd_proxy
* Tue Aug 28 2001 - zoz@suse.de
- fixed checkproc line in start script
- enhanced wttyhx to determine the user and display of each
  running X server
- added possibility to lock X server automatically on suspend with
  new apmd.rc.config variable: APMD_LOCK_X_ON_SUSPEND
* Fri Aug 24 2001 - zoz@suse.de
- adapted start script better to LSB
- changed debugging of apmd_proxy
- added variable APMD_INTERFACES_TO_STOP for net interfaces that
  do not survive a suspend/resume otherwise
- apmd_proxy sets disk spindown freshly after every resume
- apmd_proxy will never switch from X to a tty with XFree86 4.x
- improved %%post (fixed handling of apmd.rc.config)
- moved additional-files to suse-files.tar.gz and removed
  Makefile.Linux
* Tue Apr 10 2001 - zoz@suse.de
- made rcapmd status LSB compliant
* Fri Feb 09 2001 - ro@suse.de
- include time.h in apmsleep.c
* Fri Jan 19 2001 - schwab@suse.de
- Include <linux/rtc.h> instead of <linux/mc146818rtc.h>.  No need
  for <linux/spinlock.h> any more.
* Wed Jan 10 2001 - zoz@suse.de
- changed call of /sbin/init.d/alsasound in apmd_proxy to
  /usr/sbin/rcalsasound
* Tue Nov 28 2000 - ro@suse.de
- added forgotten insserv calls
* Tue Nov 28 2000 - ro@suse.de
- startscript to etc/init.d
* Mon Nov 06 2000 - ro@suse.de
- fixed to compile (include spinlock before mc146818rtc)
* Fri Jul 14 2000 - zoz@suse.de
- changed call to shutdown in apmd_proxy
* Thu Jul 06 2000 - zoz@suse.de
- removed "set -x" from init script (Bug 3204)
* Thu Jun 29 2000 - zoz@suse.de
- rcapmd now handles modularized apm, too
- completed use of %%{_docdir} and %%{_mandir}
- changed killing of running soundapplications
* Wed May 24 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Wed Apr 19 2000 - zoz@suse.de
- changed the way to unload kernel sound modules
- added syncs in suspend section
* Thu Mar 02 2000 - zoz@suse.de
- added options to change behavior of bdflush depending on power
* Tue Feb 29 2000 - zoz@suse.de
- update to 3.0
- added automatically cancel of shutdown when ac power is supplied
- added option for unloading soundmodules on suspend
* Sun Oct 31 1999 - kukuk@suse.de
- Fix CFLAGS for other platforms != Intel
* Sat Oct 30 1999 - zoz@suse.de
- fixed pcmcia control in apmd_proxy
- additional options to xapm from mge@suse.de
* Tue Oct 26 1999 - zoz@suse.de
- fixed some minor bugs and adjusted some file locations
* Mon Oct 25 1999 - zoz@suse.de
- new version 3.0beta9
- added rc.config.d/apmd.rc.config
- essential changes of apmd_proxy to fit to SuSE config-style
- some additional scripts: on_ac_power, wttyhx
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 30 1999 - kukuk@suse.de
- fix D-state bug
* Fri Apr 16 1999 - ro@suse.de
- set START_APMD to no by default
* Tue Apr 06 1999 - ro@suse.de
- check if APM is supported by kernel
* Tue Apr 06 1999 - uli@suse.de
- added START_APMD to /etc/rc.config
- added /usr/sbin/rcapmd to file list
* Tue Dec 08 1998 - ro@suse.de
- updated init-script and added link
* Tue Sep 22 1998 - ke@suse.de
- mark /sbin/init.d/apmd as %%config
* Thu Sep 17 1998 - ro@suse.de
- added -D_GNU_SOURCE (glibc needs this for old getopt calls)
* Tue Feb 10 1998 - bs@suse.de
- fixed Check for man pages
* Tue Jan 13 1998 - bb@suse.de
- first version for SuSE-Linux
